%% Funkce pro nulování a normalizaci příznaků
% Funkce pro nulování pozadí/nulování hodnot  příznaků, které patří pozadí.
% Funkce pro transformaci matice do vektoru a jeho normalizace.
%
% Vstupem funkce je příznaková matice obrazu a segmentační maska pro
% vymezení oblasti zájmu klasifikace. Na výstupu funkce je normalizovaný
% příznakový vektor.

function priznakovy_vektor = normalizace_priznaku(priznak, segmentace)

for i = 1:size(segmentace, 1)
    for j = 1:size(segmentace, 2)
        if segmentace(i, j) == 0
            priznak(i, j) = 1000;
        end
    end
end
priznak = reshape(priznak, [], 1);               % transformace matice do vektoru
priznak(priznak == 1000) = [];
priznak0 = priznak;

priznakovy_vektor = normalize(priznak0);         % normalizace vektoru

end